from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.drawing import XShape

@runtime_checkable
class XConnectorShape(XShape, Protocol):
    def connectStart(self, xShape: XConnectableShape, nPos: ConnectionType) -> None: ...
    def connectEnd(self, xShape: XConnectableShape, nPos: ConnectionType) -> None: ...
    def disconnectBegin(self, xShape: XConnectableShape) -> None: ...
    def disconnectEnd(self, xShape: XConnectableShape) -> None: ...
